# Prereceipe
rm -rf AutoRPE/ NEMO-4.0-r10777/  ProcessedOutputs/

# Receipe!
set -xuve
RUNDIR=$(pwd)
git clone http://earth.bsc.es/gitlab/otinto/AutoRPE.git


NEMO_VERSION=
NEMO_SOURCES=
NEMO_FOLDER=${RUNDIR}/${NEMO_VERSION}/
CFG_NAME=OCE-AutoRPE

[ -z ${NEMO_VERSION} ] && echo "Fill NEMO_VERSION" && error 1
[ -z ${NEMO_SOURCES} ] && echo "Fill NEMO_SOURCES" && error 1
[ -z ${NEMO_FOLDER} ] && echo "Fill NEMO_FOLDER" && error 1

tar -zxf ${NEMO_SOURCES} 


cp ./Files/arch-my_arch.fcm ${RUNDIR}/${NEMO_VERSION}/arch/arch-my_arch.fcm


# Using makenemo to preprocess code
set +xuve
${NEMO_FOLDER}/makenemo -n ${CFG_NAME} -r ORCA2_ICE_PISCES -d OCE -m my_arch del_key "key_si3 key_top" &> /dev/null
set -xuve


ModelSources=${NEMO_FOLDER}/cfgs/${CFG_NAME}/BLD/ppsrc/nemo/*
AutoRPE_Input=${RUNDIR}/AutoRPE/ModelSources/Input/
AutoRPE_Output=${RUNDIR}/AutoRPE/ModelSources/Output/
cp ${ModelSources} ${AutoRPE_Input}

ls ${AutoRPE_Input}

cd ${RUNDIR}/AutoRPE

python3 ImplementRPEtoSource.py 2> implementation.log


ls ${AutoRPE_Output}


sed "s/CALL mpp_init/CALL mpp_init\n      CALL read_variable_precisions/g" ${AutoRPE_Output}/nemogcm.f90 > nemogcm.f90
mv nemogcm.f90 ${AutoRPE_Output}/nemogcm.f90

cd ${RUNDIR}

mkdir ProcessedOutputs
cp ${AutoRPE_Output}/* ProcessedOutputs/
set +xuve

# Apply known issues
./Files/file_fixes.cmd

# Create namelist_precisions
cd ${RUNDIR}/AutoRPE
python3 NamelistPrecisionsGenerator.py 


# Adapt nAmelists
namelist_cfg=${NEMO_FOLDER}/cfgs/${CFG_NAME}/EXP00/namelist_cfg
namelist_ref=${NEMO_FOLDER}/cfgs/${CFG_NAME}/EXP00/namelist_ref


cp ${namelist_cfg} ${RUNDIR}/AutoRPE/ParameterNamelists/Original
cp ${namelist_ref} ${RUNDIR}/AutoRPE/ParameterNamelists/Original
python3 AdaptNamelists.py


new_namelist_cfg=${RUNDIR}/AutoRPE/ParameterNamelists/Modified/namelist_cfg
new_namelist_ref=${RUNDIR}/AutoRPE/ParameterNamelists/Modified/namelist_ref

# Move everything needed
mv namelist_precisions vault.pkl ${new_namelist_cfg} ${new_namelist_ref} ${RUNDIR}/../Remote/Files
