
set -xuve

folder=$1
file=$2

[[ -z ${folder} ]] && echo "folder and file should be provided as argument " && exit

sourcesFolder=${folder}/BLD/ppsrc/nemo/

[[ ! -d ${sourcesFolder} ]] && echo "Source folder does not exist" && exit
[[ ! -f ${sourcesFolder}/${file}.f90 ]] && echo "file does not exist" && exit

folder=$(readlink -f $folder )


NETCDF_INC=-I/apps/NETCDF/4.4.1.1/INTEL/IMPI/include
XIOS_INC=-I/gpfs/projects/bsc32/bsc32870/xios/2.5/mn4-r1560-prod/inc
RPE_INC=-I/gpfs/projects/bsc32/bsc32870/rpe/mn4/intel-2017.4/modules 


mpiifort -gen-interfaces -warn all -check all -check noarg_temp_created -g -traceback -finstrument-functions -fpe0 -O0 -assume noprotect_constants -o ${file}.o -I${folder}/BLD/inc -ip -r8 -extend-source 132 -heap-arrays ${NETCDF_INC} ${XIOS_INC} ${RPE_INC} -c ${folder}/BLD/ppsrc/nemo/${file}.f90


mv ${file}.mod ${folder}/BLD/inc/
mv ${file}.o ${folder}/BLD/obj

touch ${folder}/BLD/done/${file}.F90.pdone
touch ${folder}/BLD/done/${file}.done

set +xuve
