# Remote receipe

# Parameters
NEMO_INIDATA=
NEMO_FOLDER=
CFG_NAME=AutoRPE-OCE


[ -z ${NEMO_INIDATA} ] && echo "Fill NEMO_INIDATA" && error 1
[ -z ${NEMO_FOLDER} ] && echo "Fill NEMO_FOLDER" && error 1

set -xuve
receipe_folder=$(pwd)
# Load environment
set +xuve
source ${receipe_folder}/Files/modules.env
set -xuve

# Put arch file on place
cp ${receipe_folder}/Files/arch-my_arch_mn4.fcm ${NEMO_FOLDER}/arch/

# Start compilation (that will fail but will create the folder structure)
cd ${NEMO_FOLDER}
set +xuve
timeout 30 ./makenemo -n ${CFG_NAME} -r ORCA2_ICE_PISCES -d OCE -m my_arch_mn4 del_key "key_si3 key_top" 
set -xuve

pwd
# Put sources with RPE in place
cp ${receipe_folder}/ProcessedOutputs/* ${NEMO_FOLDER}/cfgs/${CFG_NAME}/BLD/ppsrc/nemo/

# Put rpe modules (System dependant, will require having rpe installed)
${receipe_folder}/Files/put_rpe.cmd cfgs/${CFG_NAME}

# Compile read_precisions ( System dependant, will be necessary to update the compile_file.cmd script to be used in any other environment)
${receipe_folder}/Files/compile_file.cmd cfgs/${CFG_NAME} read_precisions

# Disabling because it has to fail
set +xuve 

# Compile NEMO (Fail due to bug with fldread)
./makenemo -n ${CFG_NAME} -r ORCA2_ICE_PISCES -d OCE -m my_arch_mn4 del_key "key_si3 key_top" 

set -xuve
# Compile fldread (compiler bug)
${receipe_folder}/Files/compile_file.cmd cfgs/${CFG_NAME} fldread

# Modify Makefile to include read_precisions.o
Makefile=${NEMO_FOLDER}/cfgs/${CFG_NAME}/BLD/Makefile
to_replace="OBJECTS__nemo = asmbkg.o"
replacement="OBJECTS__nemo = read_precisions.o asmbkg.o"
sed "s#${to_replace}#${replacement}#g" ${Makefile} -i


# Final compilation 
./makenemo -n ${CFG_NAME} -r ORCA2_ICE_PISCES -d OCE -m my_arch_mn4 del_key "key_si3 key_top" 


# Link inidata into EXP00 folder
ln -sf ${NEMO_INIDATA}/* ${NEMO_FOLDER}/cfgs/${CFG_NAME}/EXP00/

# Exit message
set +xuve
echo "\n\n\n\n\n\n\n"
echo "Compilation completed"
echo "Rundir ready to go in ${NEMO_FOLDER}/cfgs/${CFG_NAME}/EXP00/"
